#!/bin/bash
set -eu;
readonly ROOT="$(realpath "$(dirname "$0")/..")";

pushd .;
cd ""${ROOT}"";

printf "This script requires the \"aseprite\" binary in the path.\\n";
for i in $(seq 0 6);
do
    aseprite ""${ROOT}"/src/greenwave.aseprite" --batch --crop 14,0,9,7 --frame-range "${i}","${i}" --save-as ""${ROOT}"/export/greenwave__frame_"${i}".gif";
done;

popd;
